<?php namespace jasonwilliams\feed\Models;

use Model;

/**
 * Model
 */
class Tags extends Model
{
    use \October\Rain\Database\Traits\Validation;

    /*
     * Disable timestamps by default.
     * Remove this line if timestamps are defined in the database table.
     */
    public $timestamps = false;


    /**
     * @var string The database table used by the model.
     */
    public $table = 'jasonwilliams_feed_tags';

    protected $fillable = ['tag'];

    /**
     * @var array Validation rules
     */
    public $rules = [
    ];

    public $belongsTo = [
      'feeditem' => ['jasonwilliams\feed\Models\FeedItem', 'key' => 'feed_item_id']
    ];

    public function afterFetch()
    {
      //dd($this->feeditem);
    }
}
