<?php namespace jasonwilliams\feed\Models;

use Model;

/**
 * Model
 */
class Channels extends Model
{
    use \October\Rain\Database\Traits\Validation;

    /*
     * Disable timestamps by default.
     * Remove this line if timestamps are defined in the database table.
     */
    public $timestamps = false;


    /**
     * @var string The database table used by the model.
     */
    public $table = 'jasonwilliams_feed_channels';

    /**
     * @var array Validation rules
     */
    public $rules = [
    ];

    public $hasMany = [
      'feeditems' => ['jasonwilliams\feed\Models\FeedItem', 'key' => 'channel_id']
    ];

    public function afterFetch()
    {
      // Add a default icon if there isn't one already
      if (!$this->icon) $this->icon = "fas fa-sticky-note";
    }
}
